> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# SQ_SetQueueInfo

POST https://api.voximplant.com/platform_api/SQ_SetQueueInfo

Edits an existing queue.

Allowed roles: `Owner`, `Admin`, `Developer`.

**Example request:** Edit the queue with id = 1.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/smartqueue/sq-set-queue-info

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /SQ_SetQueueInfo:
    post:
      operationId: sq-set-queue-info
      summary: SQ_SetQueueInfo
      description: |-
        Edits an existing queue.

        Allowed roles: `Owner`, `Admin`, `Developer`.

        **Example request:** Edit the queue with id = 1.
      tags:
        - subpackage_smartqueue
      parameters:
        - name: application_id
          in: query
          description: Application ID to search by
          required: true
          schema:
            type: integer
        - name: application_name
          in: query
          description: >-
            Application name to search by. Can be used instead of
            **application_id**
          required: false
          schema:
            type: string
        - name: hold_im_if_inactive_agents
          in: query
          description: >-
            Whether to add the task to the queue if there are no available
            agents
          required: false
          schema:
            type: boolean
        - name: sq_queue_id
          in: query
          description: ID of the SmartQueue to search for
          required: true
          schema:
            type: integer
        - name: sq_queue_name
          in: query
          description: >-
            Name of the SmartQueue to search for. Can be used instead of
            **sq_queue_id**
          required: false
          schema:
            type: string
        - name: hold_calls_if_inactive_agents
          in: query
          description: >-
            Whether to keep the call task in the queue if all agents are in the
            DND/BANNED/OFFLINE statuses.
          required: false
          schema:
            type: boolean
            default: false
        - name: new_sq_queue_name
          in: query
          description: New SmartQueue name within the application, up to 100 characters
          required: false
          schema:
            type: string
        - name: call_agent_selection
          in: query
          description: >-
            Agent selection strategy for calls. Accepts one of the following
            values: "MOST_QUALIFIED", "LEAST_QUALIFIED", "MAX_WAITING_TIME"
          required: false
          schema:
            type: string
        - name: im_agent_selection
          in: query
          description: >-
            Agent selection strategy for messages. Accepts one of the following
            values: "MOST_QUALIFIED", "LEAST_QUALIFIED", "MAX_WAITING_TIME". The
            default value is **call_agent_selection**
          required: false
          schema:
            type: string
        - name: call_task_selection
          in: query
          description: >-
            Strategy of prioritizing CALL-type requests for service. Accepts one
            of the following values: "MAX_PRIORITY", "MAX_WAITING_TIME"
          required: false
          schema:
            type: string
        - name: im_task_selection
          in: query
          description: >-
            Strategy of prioritizing IM-type requests for service. Accepts one
            of the following values: "MAX_PRIORITY", "MAX_WAITING_TIME". The
            default value is **call_task_selection**
          required: false
          schema:
            type: string
        - name: description
          in: query
          description: Comment, up to 200 characters
          required: false
          schema:
            type: string
        - name: call_max_waiting_time
          in: query
          description: >-
            Maximum time in minutes that a CALL-type request can remain in the
            queue without being assigned to an agent. Specify either this
            parameter or `call_max_waiting_time_in_seconds`. Specifying both
            parameters simultaniously leads to an error
          required: false
          schema:
            type: integer
            default: 120
        - name: im_max_waiting_time
          in: query
          description: >-
            Maximum time in minutes that an IM-type request can remain in the
            queue without being assigned to an agent. Specify either this
            parameter or `im_max_waiting_time_in_seconds`. Specifying both
            parameters simultaniously leads to an error
          required: false
          schema:
            type: integer
            default: 120
        - name: call_max_queue_size
          in: query
          description: Maximum size of the queue with CALL-type requests
          required: false
          schema:
            type: integer
            default: 1000
        - name: im_max_queue_size
          in: query
          description: Maximum size of the queue with IM-type requests
          required: false
          schema:
            type: integer
            default: 1000
        - name: priority
          in: query
          description: The queue's priority from 1 to 100
          required: false
          schema:
            type: integer
            default: 10
        - name: call_max_waiting_time_in_seconds
          in: query
          description: >-
            Maximum call waiting time in seconds. Specify either this parameter
            or `call_max_waiting_time`. Specifying both parameters
            simultaniously leads to an error
          required: false
          schema:
            type: integer
        - name: im_max_waiting_time_in_seconds
          in: query
          description: >-
            Maximum chat message waiting time in seconds. Specify either this
            parameter or `im_max_waiting_time`. Specifying both parameters
            simultaniously leads to an error
          required: false
          schema:
            type: integer
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/smartqueue_SQ_SetQueueInfo_Response_200'
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    smartqueue_SQ_SetQueueInfo_Response_200:
      type: object
      properties:
        result:
          type: integer
          description: Returns 1 if the request has been completed successfully
      title: smartqueue_SQ_SetQueueInfo_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Success
import requests

url = "https://api.voximplant.com/platform_api/SQ_SetQueueInfo"

querystring = {"application_id":"12345","sq_queue_id":"1","new_sq_queue_name":"Customer Support Queue","hold_im_if_inactive_agents":"true","hold_calls_if_inactive_agents":"false","call_agent_selection":"MOST_QUALIFIED","im_agent_selection":"MAX_WAITING_TIME","call_task_selection":"MAX_PRIORITY","im_task_selection":"MAX_WAITING_TIME","description":"Queue for handling customer support calls and messages","call_max_waiting_time":"30","im_max_waiting_time":"45","call_max_queue_size":"500","im_max_queue_size":"300","priority":"20","call_max_waiting_time_in_seconds":"1800","im_max_waiting_time_in_seconds":"2700"}

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Success
const url = 'https://api.voximplant.com/platform_api/SQ_SetQueueInfo?application_id=12345&sq_queue_id=1&new_sq_queue_name=Customer+Support+Queue&hold_im_if_inactive_agents=true&hold_calls_if_inactive_agents=false&call_agent_selection=MOST_QUALIFIED&im_agent_selection=MAX_WAITING_TIME&call_task_selection=MAX_PRIORITY&im_task_selection=MAX_WAITING_TIME&description=Queue+for+handling+customer+support+calls+and+messages&call_max_waiting_time=30&im_max_waiting_time=45&call_max_queue_size=500&im_max_queue_size=300&priority=20&call_max_waiting_time_in_seconds=1800&im_max_waiting_time_in_seconds=2700';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/SQ_SetQueueInfo?application_id=12345&sq_queue_id=1&new_sq_queue_name=Customer+Support+Queue&hold_im_if_inactive_agents=true&hold_calls_if_inactive_agents=false&call_agent_selection=MOST_QUALIFIED&im_agent_selection=MAX_WAITING_TIME&call_task_selection=MAX_PRIORITY&im_task_selection=MAX_WAITING_TIME&description=Queue+for+handling+customer+support+calls+and+messages&call_max_waiting_time=30&im_max_waiting_time=45&call_max_queue_size=500&im_max_queue_size=300&priority=20&call_max_waiting_time_in_seconds=1800&im_max_waiting_time_in_seconds=2700"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/SQ_SetQueueInfo?application_id=12345&sq_queue_id=1&new_sq_queue_name=Customer+Support+Queue&hold_im_if_inactive_agents=true&hold_calls_if_inactive_agents=false&call_agent_selection=MOST_QUALIFIED&im_agent_selection=MAX_WAITING_TIME&call_task_selection=MAX_PRIORITY&im_task_selection=MAX_WAITING_TIME&description=Queue+for+handling+customer+support+calls+and+messages&call_max_waiting_time=30&im_max_waiting_time=45&call_max_queue_size=500&im_max_queue_size=300&priority=20&call_max_waiting_time_in_seconds=1800&im_max_waiting_time_in_seconds=2700")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/SQ_SetQueueInfo?application_id=12345&sq_queue_id=1&new_sq_queue_name=Customer+Support+Queue&hold_im_if_inactive_agents=true&hold_calls_if_inactive_agents=false&call_agent_selection=MOST_QUALIFIED&im_agent_selection=MAX_WAITING_TIME&call_task_selection=MAX_PRIORITY&im_task_selection=MAX_WAITING_TIME&description=Queue+for+handling+customer+support+calls+and+messages&call_max_waiting_time=30&im_max_waiting_time=45&call_max_queue_size=500&im_max_queue_size=300&priority=20&call_max_waiting_time_in_seconds=1800&im_max_waiting_time_in_seconds=2700")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/SQ_SetQueueInfo?application_id=12345&sq_queue_id=1&new_sq_queue_name=Customer+Support+Queue&hold_im_if_inactive_agents=true&hold_calls_if_inactive_agents=false&call_agent_selection=MOST_QUALIFIED&im_agent_selection=MAX_WAITING_TIME&call_task_selection=MAX_PRIORITY&im_task_selection=MAX_WAITING_TIME&description=Queue+for+handling+customer+support+calls+and+messages&call_max_waiting_time=30&im_max_waiting_time=45&call_max_queue_size=500&im_max_queue_size=300&priority=20&call_max_waiting_time_in_seconds=1800&im_max_waiting_time_in_seconds=2700', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/SQ_SetQueueInfo?application_id=12345&sq_queue_id=1&new_sq_queue_name=Customer+Support+Queue&hold_im_if_inactive_agents=true&hold_calls_if_inactive_agents=false&call_agent_selection=MOST_QUALIFIED&im_agent_selection=MAX_WAITING_TIME&call_task_selection=MAX_PRIORITY&im_task_selection=MAX_WAITING_TIME&description=Queue+for+handling+customer+support+calls+and+messages&call_max_waiting_time=30&im_max_waiting_time=45&call_max_queue_size=500&im_max_queue_size=300&priority=20&call_max_waiting_time_in_seconds=1800&im_max_waiting_time_in_seconds=2700");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/SQ_SetQueueInfo?application_id=12345&sq_queue_id=1&new_sq_queue_name=Customer+Support+Queue&hold_im_if_inactive_agents=true&hold_calls_if_inactive_agents=false&call_agent_selection=MOST_QUALIFIED&im_agent_selection=MAX_WAITING_TIME&call_task_selection=MAX_PRIORITY&im_task_selection=MAX_WAITING_TIME&description=Queue+for+handling+customer+support+calls+and+messages&call_max_waiting_time=30&im_max_waiting_time=45&call_max_queue_size=500&im_max_queue_size=300&priority=20&call_max_waiting_time_in_seconds=1800&im_max_waiting_time_in_seconds=2700")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```